package com.philisense.www.license.ftp;

import com.philisense.www.license.*;

public interface LicenseParam extends com.philisense.www.license.LicenseParam
{
    KeyStoreParam getFTPKeyStoreParam();
    
    int getFTPDays();
    
    boolean isFTPEligible();
    
    LicenseContent createFTPLicenseContent();
    
    void removeFTPEligibility();
    
    void ftpGranted(final LicenseContent p0);
}
